$primary-color: #f75c49;

body {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
}

.head {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

    &__search-container {
        text-align: left;

        input {
            margin: 10px 10px 10px 10px;
            height: 40px;
            font-size: 14px;
            text-align: left;
            padding: 10px;
            box-sizing: border-box;
        }
        
        button {
            margin: 0 0 0 10px;
            width: 92px;
            height: 40px;
            font-size: 14px;
        }
    }
}

.logo {
    color: white;
    font-size: 23px;
    font-family: 'Caldo';
    text-shadow: -2px -1px 0 $primary-color, 2px 1px 0 #000;

    h1 {
        margin: 0;
    }

    &:hover {
        text-shadow: -3px -1px 0 $primary-color, 3px 1px 0 #000;
    }
}


.navigation {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

    ul {
        list-style-type: none;
        color: $primary-color;
        margin: 0;
        padding: 0;
    }

    button {
        width: 170px;
        height: 52px;
        font-size: 18px;
    }

    li {
        float: left;
    }

    li a {
        text-align: center;
        text-decoration: none;
        color: $primary-color;

        &:hover {
            text-align: center;
            text-decoration: none;
            color: #cc4836;
        }
    }
}

.top-teachers {
    &__options {
        display: flex;
        text-align: center;
        flex-wrap: wrap;
        color: #888;
        font-family: sans-serif;
        margin: 0 0 35px 0;

        &__selectors {
            display: flex;

            select {
                cursor: pointer;
                background-color: transparent;
                border: 1px solid;
                height: 30px;
                width: 90px;
            }

            div {
                border-width: 0 2px 0 0;
                border-color: #999;
                border-style: dotted;
            }

            div:last-child {
                border-width: 0;
            }
        }

        &__checkboxes {
            display: flex;
        }

        &__info {
            position: relative;
        }
    }

    &__photos {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(200px, 200px));
        justify-content: space-evenly;
        justify-items: center;
        align-content: space-evenly;
        align-items: center;
    }

    &__info {
        position: relative;
    }

    .item-options {

        font-size: 12px;
        align-items: center;

        select {
            margin: 0 10px;
        }

        .select-label {
            margin: 0 10px;
        }

        input {
            margin: 10px 5px 10px 10px;
            padding: auto;
        }
    }

    .age-selector {
        width: 76px;
    }

    .region-selector {
        width: 92px;
    }

    .sex-selector {
        width: 86px;
    }

    .favorite-star {
        background: transparent;
        z-index: 1;
        position: absolute;
        text-align: right;
        top: 5%;
        left: 65%;
    }
}

.statistics {
    &__body {
        table {
            font-family: Arial, Helvetica, sans-serif;
            font-size: 12px;
            width: 100%;
        }

        td,
        th {
            text-align: center;
            height: 35px;
        }

        th {
            font-weight: normal;
            font-size: 14px;
            border-bottom: 1px solid #000;

            &:hover {
                border-bottom: 5px solid #000;
                background-color: #fafafa;

            }

            &:hover::after {
                content: ' ↓';
                color: #62a7ca;
            }
        }

        th:first-child,
        td:first-child {
            text-align: left;
        }

        tr:nth-child(even) {
            background-color: #f9f5f9;
        }

        &__pagination-container {
            display: flex;

            ul {
                font-size: 14px;
                list-style-type: none;
                color: #1a9cb0;
                margin: 0;
                padding: 0;
            }

            li {
                float: left;
                margin: 0 10px 0 10px;

                &:hover {
                    color: #10616d;
                }
            }
        }
    }
}

.favorites {
    &__body {
        align-items: center;
        vertical-align: middle;
        white-space: wrap;

        &__photos {
            display: flex;
            white-space: nowrap;
        }

        &__menu-wrapper-left {
            padding: 0 10px 0 0;
            float: left;

            button {
                background-image: url("../images/menu-wrapper-left.png");
                background-size: 20px 60px;
                background-position: center;
                background-repeat: no-repeat;
                width: 60px;
                height: 285px;
                transition: 0.5s ease;
                background-color: transparent;
                border: transparent;

                &:hover {
                    background-image: url("../images/menu-wrapper-left-hover.png");
                }
            }
        }

        &__menu-wrapper-right {
            padding: 0 0 0 10px;
            float: right;

            button {
                background-image: url("../images/menu-wrapper-right.png");
                background-size: 20px 60px;
                background-position: center;
                background-repeat: no-repeat;
                width: 60px;
                height: 285px;
                transition: 0.5s ease;
                background-color: transparent;
                border: transparent;

                &:hover {
                    background-image: url("../images/menu-wrapper-right-hover.png");
                }
            }
        }
    }
}

.info {
    &__body {
        padding: 20px 0 40px 0;
    }
}

.title {
    font-size: 25px;
    font-weight: 550;
    position: relative;
    text-align: center;
    padding: 0 0 40px 0;
}

.item-teacher-info {
    text-align: center;
    margin: 20px 25px 20px 25px;

    a {
        text-decoration: none;
    }

    &__icon {
        width: 142px;
        height: 142px;
        overflow: hidden;
        border: 4px solid #f99589;
        border-radius: 50%;
        margin: 0 0 26px 0;

        img {
            width: 142px;
            height: 142px;
            object-fit: cover;
            align-items: center;
            color: $primary-color;
            line-height: 142px;
            font-size: 18px;
            font-weight: 550;
        }

        &:hover {
            border: 4px solid #cc4836;

            img {
                transform: scale(1.25);
                font-size: 22px;
            }
        }
    }

    &__fullname {
        font-size: 16px;
        font-weight: 600;
        display: inline-block;
        max-width: min-content;
        color: #222;
        margin: 0 0 12px 0;
    }

    &__subject {
        font-size: 12px;
        color: #888;
        margin: 0 0 12px 0;
    }

    &__country {
        font-size: 10px;
        color: #222;
        ;
        margin: 0 0 12px 0;
    }
}

.main-button {
    cursor: pointer;
    background-color: transparent;
    border: 1px solid;
    color: $primary-color;
    border-color: $primary-color;

    &:hover {
        background-color: $primary-color;
        color: #fff;
    }
}

.popup {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(204, 204, 204, 0.8);
    backdrop-filter: blur(1px);
    top: 0;
    left: 0;
    z-index: 1;
    opacity: 0;
    visibility: hidden;
    overflow-y: auto;
    transition: all 0.3s ease 0s;

    &:target {
        opacity: 1;
        visibility: visible;
    }
}

.add-teacher-popup {
    &__body {
        min-height: 100%;
        min-width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 30px 10px;
        white-space: wrap;
    }

    &__content {
        max-width: 560px;
        width: 560px;
        min-width: 36px;
        padding: 30px 34px;
        position: relative;
    }

    &__close {
        position: absolute;
        right: 60px;
        top: 45px;
        font-size: 20px;
        color: #fff;
        text-decoration: none;
    }

    &__title {
        background-color: #464547;
        color: #fff;
        text-align: left;
        padding: 18px;
        font-size: 22px;
    }

    &__form {
        background-color: #fff;
        color: #666;
        font-size: 12px;
        padding: 34px;

        .form-container {
            margin: 15px 0;

            input {
                width: 100%;
                height: 35px;
                box-sizing: border-box;
                margin: 10px 0 0 0;
            }

            select {
                cursor: pointer;
                background-color: transparent;
                border: 1px solid;
                height: 35px;
                width: 100%;
                margin: 10px 0 0 0;
            }

            textarea {
                height: 128px;
                width: 100%;
                box-sizing: border-box;
                resize: none;
                margin: 10px 0 0 0;
            }
        }

        .personal-info-container {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(228px, 228px));
            column-gap: 32px;
        }

        .sex-container {
            margin: 15px 0;

            .radio-container {
                margin: 0 0 0 40px;
            }
        }

        .background-color-container {
            max-width: 220px;
            display: flex;
            padding: 15px 0;
            justify-content: space-between;

            label {
                vertical-align: middle;
                padding: 6px 0;
            }

            div {
                display: flex;

                img {
                    height: 16px;
                    width: 16px;
                    margin: 0 6px;
                }

                input[type="color"] {
                    width: 60px;
                    height: 26px;
                    overflow: hidden;
                    display: block;
                    padding: 8px;
                }
            }
        }

        .submit-container {
            text-align: center;
            display: flex;

            input {
                width: 500px;
                height: 60px;
                margin: 27px 0 0 0;
                font-size: 22px;
                font-weight: 500px;
            }
        }
    }
}

.teacher-info-popup {
    &__body {
        min-height: 100%;
        min-width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 30px 10px;
        white-space: wrap;
    }

    &__content {
        max-width: 1018px;
        min-width: 360px;
        padding: 30px 34px;
        position: relative;
    }

    &__close {
        position: absolute;
        right: 60px;
        top: 45px;
        font-size: 20px;
        color: #fff;
        text-decoration: none;
    }

    &__title {
        background-color: #464547;
        color: #fff;
        text-align: left;
        padding: 18px;
        font-size: 22px;
    }

    &__main {
        background-color: #fff;
        color: #666;
        font-size: 12px;
        position: relative;
    }

    &__picture {
        img {
            width: 320px;
            height: 320px;
            object-fit: cover;
            align-items: center;
        }
    }

    &__main-info {
        padding: 20px;
        display: flex;
        flex-wrap: wrap;

        .teacher-info {
            margin: 0 40px;
            color: #222;
            font-size: 12px;
        }

        .fullname {
            font-size: 28px;
            margin: 12px 0 24px 0;
        }

        .subject {
            font-size: 18px;
            font-weight: 600;
            margin: 24px 0 13px 0;
        }

        .location {
            margin: 13px 0 11px 0;
        }

        .age-sex {
            margin: 11px 0;
        }

        .email {
            color: #68becb;
            margin: 11px 0;
        }

        .phone {
            margin: 11px 0;
        }
    }

    &__comment {
        font-size: 12px;
        margin: 10px 20px;
    }

    &__toggle-map {
        padding: 20px;

        a {
            text-decoration-style: dashed;
            color: #65a3be;
        }
    }

    .favorite-button-container {
        position: absolute;
        right: 20px;

        button {
            background-image: url("../images/yellow-star-button.png");
            background-size: 35px 35px;
            background-position: center;
            background-repeat: no-repeat;
            width: 40px;
            height: 40px;
            background-color: transparent;
            border: transparent;
            opacity: 0.5;

            &:hover {
                background-image: url("../images/yellow-star-button-pressed.png");
                opacity: 1;
            }
        }
    }
}

@media (min-width: 925px) {

    header,
    main,
    footer {
        max-width: 1200px;
        margin: 0 auto;
    }

    .head {
        margin: 30px 100px 30px 100px;

        input {
            width: 218px;

            &:hover {
                width: 400px;
            }
        }
    }

    .navigation {
        margin: 0 100px 30px 100px;

        li {
            padding: 18px 40px 18px 0;
        }
    }

    .top-teachers {
        margin: 20px 100px 20px 100px;

        &__options {
            &__checkboxes {
                div {
                    border-width: 0 0 0 2px;
                    border-color: #999;
                    border-style: dotted;
                }
            }
        }

        .item-options {
            padding: 3px 10px 3px 10px;
        }
    }

    .statistics {
        margin: 20px 100px 40px 100px;

        &__body {
            td {
                padding: 0 20px;
            }

            th {
                padding: 0 33px;
                border-bottom: 1px solid #000;
            }
        }
    }

    .favorites__body {
        &__photos {
            overflow-x: hidden;
        }
    }

    .info {
        margin: 20px 100px 20px 100px;
    }

    .top-line {
        width: 500px;
    }
}

@media (max-width: 925px) {

    header,
    main,
    footer {
        max-width: 925px;
        margin: 0 auto;
    }

    .head {
        margin: 30px 10px 30px 10px;

        input {
            width: 218px;
        }
    }

    .navigation {
        margin: 0 10px 30px 10px;

        li {
            padding: 18px 20px 18px 0;
        }
    }

    .top-teachers {
        margin: 20px 10px 20px 10px;

        .item-options {
            padding: 3px 10px 3px 10px;
        }
    }

    .statistics {
        margin: 20px 10px 20px 10px;

        &__body {
            td {
                padding: 0 5px;
            }

            th {
                padding: 0 5px;
                border-bottom: 1px solid #000;
            }
        }
    }

    .favorites__body {
        margin: 20px 10px 20px 10px;

        &__photos {
            overflow: auto;
        }

        &__menu-wrapper-left {
            display: none;
        }

        &__menu-wrapper-right {
            display: none;
        }
    }

    .info {
        margin: 20px 10px 20px 10px;
    }

    .top-line {
        width: 500px;
    }
}

@media(max-width: 524px) {
    .top-line {
        width: 90%;
    }
}

@media (max-width: 412px) {
    .top-teachers {
        .item-options {
            padding: 3px 0;
        }
    }
}
